Bug 13337 - python2.6 incompatibilities
python2.6 incompatibilities
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-15 17:53 UTC by Björn Baumbach
Modified: 2018-04-12 06:48 UTC (History)
3 users (show)

See Also:


Attachments
patch for ms_schema.py to be 2.6.9 compatible (449 bytes, patch)
2018-03-15 18:16 UTC, Alexey Vekshin
dbagnall: review+
Details
patch for vizualize to be 2.6.9 compatible (474 bytes, patch)
2018-03-15 18:18 UTC, Alexey Vekshin
dbagnall: review+
Details
Patches for both issues, cherry-picked from master (2.60 KB, patch)
2018-04-04 09:45 UTC, Björn Baumbach
dbagnall: review+
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2018-03-15 17:53:19 UTC
There is an incompatibility with Python 2.6 in ms_schema.py.

Works Python 2.7:

>>> {'dn', 'changetype', 'objectcategory'}
set(['dn', 'changetype', 'objectcategory'])

but not 2.6:

>>> {'dn', 'changetype', 'objectcategory'}
  File "<stdin>", line 1
    {'dn', 'changetype', 'objectcategory'}
         ^
SyntaxError: invalid syntax
Comment 1 Björn Baumbach 2018-03-15 17:57:13 UTC
Patch will follow.
Comment 2 Alexey Vekshin 2018-03-15 18:15:13 UTC
new `samba-tool visualize` is affected too; I'll attach patches for ms_schema and visualize.py
Comment 3 Alexey Vekshin 2018-03-15 18:16:48 UTC
Created attachment 14050 [details]
patch for ms_schema.py to be 2.6.9 compatible

fix is trivial; 2.6.9 is default in sles 11, still widely used
Comment 4 Alexey Vekshin 2018-03-15 18:18:39 UTC
Created attachment 14051 [details]
patch for vizualize to be 2.6.9 compatible
Comment 5 Björn Baumbach 2018-04-04 09:45:44 UTC
Created attachment 14101 [details]
Patches for both issues, cherry-picked from master
Comment 6 Andrew Bartlett 2018-04-04 21:43:38 UTC
Please pick for 4.8.next
Comment 7 Karolin Seeger 2018-04-10 07:26:32 UTC
Pushed to autobuild-v4-8-test.
Comment 8 Karolin Seeger 2018-04-12 06:48:47 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-8-test.
Closing out bug report.

Thanks!